> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invitations

> List pending invitations. Owner/admin only.



## OpenAPI

````yaml /openapi.json get /api/organizations/{org_id}/invitations
openapi: 3.1.0
info:
  description: >-
    Public CodeCobra API. Authenticate by sending a personal API key in the
    `Authorization: Bearer <key>` header. Generate keys from Settings → API keys
    in the CodeCobra dashboard.
  title: CodeCobra Public API
  version: 1.0.0
servers: []
security: []
paths:
  /api/organizations/{org_id}/invitations:
    get:
      tags:
        - public
      summary: List Invitations
      description: List pending invitations. Owner/admin only.
      operationId: list_invitations_api_organizations__org_id__invitations_get
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            format: uuid
            title: Org Id
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            default: 0
            title: Offset
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/InvitationResponse'
                title: >-
                  Response List Invitations Api Organizations  Org Id 
                  Invitations Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    InvitationResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        expires_at:
          format: date-time
          title: Expires At
          type: string
        id:
          format: uuid
          title: Id
          type: string
        invite_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Invite Link
        invited_by_name:
          default: ''
          title: Invited By Name
          type: string
        organization_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Color
        organization_icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Icon
        organization_id:
          format: uuid
          title: Organization Id
          type: string
        organization_name:
          default: ''
          title: Organization Name
          type: string
        require_2fa_before_join:
          default: false
          title: Require 2Fa Before Join
          type: boolean
        role:
          title: Role
          type: string
        status:
          title: Status
          type: string
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
      required:
        - id
        - organization_id
        - email
        - role
        - status
        - created_at
        - expires_at
      title: InvitationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````